#
# $Id: mindi.spec 1391 2007-05-05 22:46:55Z bruno $
#
Summary:	Mindi creates emergency boot disks/CDs using your kernel, tools and modules
Name:		mindi
Version:	1.2.3
Release:	1%{?dist}
License:	GPL
Group:		Applications/Archiving
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
ExcludeArch: ppc
Requires:	bzip2 >= 0.9, mkisofs, ncurses, binutils, gawk, dosfstools, mindi-busybox , which, grep >= 2.5

# Not on all systems
#Conflicts:	bonnie++

%description
Mindi takes your kernel, modules, tools and libraries, and puts them on N
bootable disks (or 1 bootable CD image). You may then boot from the disks/CD
and do system maintenance - e.g. format partitions, backup/restore data,
verify packages, etc.

%prep
%setup -n %name-%{version}

%build
%ifarch ia64
%{__make} -f Makefile.parted2fdisk clean
%{__make} -f Makefile.parted2fdisk
%endif

%install
%{__rm}  -rf $RPM_BUILD_ROOT
export DONT_RELINK=1

export HEAD=${RPM_BUILD_ROOT}
export PREFIX=%{_exec_prefix}
# Bug on x86_64 on _sysconfdir on rhel4 at least
%ifarch x86_64
export CONFDIR=/etc
%else
export CONFDIR=%{_sysconfdir}
%endif
export MANDIR=%{_mandir}
export DOCDIR=%{_docdir}
export LIBDIR=%{_libdir}
export RPMBUILDMINDI="true"

./install.sh

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}
%doc ChangeLog INSTALL COPYING README TODO README.ia64 README.pxe README.busybox svn.log
%{_mandir}/man8/*
%{_libdir}/%{name}
%{_sbindir}/*

%changelog
* Thu Apr 26 2007 Bruno Cornec <bruno@mondorescue.org> 1.2.3-1.fc6
- Updated to 1.2.3

* Mon Apr 16 2007 Bruno Cornec <bruno@mondorescue.org> 1.2.2-1.fc6
- Updated to 1.2.2

* Sat Dec 23 2006 Bruno Cornec <bruno@mondorescue.org> 1.2.1-1.fc6
- Updated to 1.2.1

* Wed Oct 04 2006 Bruno Cornec <bruno@mondorescue.org> 1.2.0-1.fc6
- Updated to 1.2.0

* Sat Aug 05 2006 Bruno Cornec <bruno@mondorescue.org> 1.0.9-1.fc6
- Updated to 1.0.9

* Wed Jun 07 2006 Bruno Cornec <bruno@mondorescue.org> 1.0.8-3.fc6
- Updated to 1.0.8-3

* Fri Jun 02 2006 Bruno Cornec <bruno@mondorescue.org> 1.0.8-2.fc6
- Updated to 1.0.8-2

* Thu May 25 2006 Bruno Cornec <bruno@mondorescue.org> 1.0.8-1.fc6
- Updated to 1.0.8-1

* Fri Mar 10 2006 Bruno Cornec <bruno@mondorescue.org> 1.0.7-1.fc6
- Updated to 1.0.7

* Fri Dec 23 2005 Bruno Cornec <bruno@mondorescue.org> 1.06-1.fc6
- Updated to 1.06

* Sat Nov 19 2005 Bruno Cornec <bruno@mondorescue.org> 1.05-1.fc6
- Updated to 1.05

* Tue May 03 2005 Bruno Cornec <bruno@mondorescue.org> 1.04-1.fc6
- Updated to 1.04

* Wed Sep 29 2004 Bruno Cornec <bruno@mondorescue.org> 1.03-1.fc6
- Updated to 1.03

* Wed Jul 21 2004 Bruno Cornec <bruno@mondorescue.org> 1.02-1.fc6
- Updated to 1.02

* Fri Jun 18 2004 Bruno Cornec <bruno@mondorescue.org> 1.00-1.fc6
- Updated to 1.00

* Thu Mar 25 2004 Bruno Cornec <bruno@mondorescue.org> 0.95-1.fc6
- Updated to 0.95

* Wed Sep 24 2003 Bruno Cornec <bruno@mondorescue.org> 0.94-1.fc6
- Updated to 0.94

* Wed Jun 04 2003 Bruno Cornec <bruno@mondorescue.org> 0.93-1.fc6
- Updated to 0.93

* Sun May 04 2003 Bruno Cornec <bruno@mondorescue.org> 0.92-1.fc6
- Updated to 0.92

* Fri Apr 04 2003 Bruno Cornec <bruno@mondorescue.org> 0.91-1.fc6
- Updated to 0.91

* Sun Dec 08 2002 Bruno Cornec <bruno@mondorescue.org> 0.90-1.fc6
- Updated to 0.90

* Mon Dec 02 2002 Bruno Cornec <bruno@mondorescue.org> 0.72-1.fc6
- Updated to 0.72

* Sun Nov 17 2002 Bruno Cornec <bruno@mondorescue.org> 0.71-1.fc6
- Updated to 0.71

* Sun Sep 08 2002 Bruno Cornec <bruno@mondorescue.org> 0.70-1.fc6
- Updated to 0.70

* Sun Jul 14 2002 Bruno Cornec <bruno@mondorescue.org> 0.65-1.fc6
- Updated to 0.65-1

* Sat Jul 13 2002 Bruno Cornec <bruno@mondorescue.org> 0.64-1.fc6
- Updated to 0.64-1

* Tue Jun 04 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-7.fc6
- Updated to 0.63-7

* Sun Jun 02 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-6.fc6
- Updated to 0.63-6

* Wed May 22 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-5.fc6
- Updated to 0.63-5

* Mon May 06 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-4.fc6
- Updated to 0.63-4

* Thu Apr 25 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-2.fc6
- Updated to 0.63-2

* Tue Apr 23 2002 Bruno Cornec <bruno@mondorescue.org> 0.63-1.fc6
- Updated to 0.63

* Mon Apr 08 2002 Bruno Cornec <bruno@mondorescue.org> 0.62-1.fc6
- Updated to 0.62

* Sun Mar 31 2002 Bruno Cornec <bruno@mondorescue.org> 0.60-1.fc6
- Updated to 0.60

* Thu Mar 21 2002 Bruno Cornec <bruno@mondorescue.org> 0.59-1.fc6
- Updated to 0.59

* Sun Mar 10 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r7.fc6
- Updated to 0.58-r7

* Sun Mar 03 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r6.fc6
- Updated to 0.58-r6

* Sun Feb 24 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r5.fc6
- Updated to 0.58-r5

* Mon Feb 18 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r4.fc6
- Updated to 0.58-r4

* Sun Feb 17 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r3.fc6
- Updated to 0.58-r3

* Mon Feb 11 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-r2.fc6
- Updated to 0.58-r2

* Sun Feb 10 2002 Bruno Cornec <bruno@mondorescue.org> 0.58-1.fc6
- Updated to 0.58

* Tue Feb 05 2002 Bruno Cornec <bruno@mondorescue.org> 0.57-1.fc6
- Updated to 0.57

* Fri Feb 01 2002 Bruno Cornec <bruno@mondorescue.org> 0.56-1.fc6
- Updated to 0.56

* Mon Jan 28 2002 Bruno Cornec <bruno@mondorescue.org> 0.55-1.fc6
- Updated to 0.55

* Fri Jan 25 2002 Bruno Cornec <bruno@mondorescue.org> 0.54-1.fc6
- Updated to 0.54

* Sun Jan 20 2002 Bruno Cornec <bruno@mondorescue.org> 0.53-1.fc6
- Updated to 0.53

* Thu Jan 10 2002 Bruno Cornec <bruno@mondorescue.org> 0.52-2.fc6
- Updated to 0.52-2

* Sun Jan 06 2002 Bruno Cornec <bruno@mondorescue.org> 0.52-1.fc6
- Updated to 0.52-1

* Tue Dec 25 2001 Bruno Cornec <bruno@mondorescue.org> 0.51-1.fc6
- Updated to 0.51-1

* Wed Dec 19 2001 Bruno Cornec <bruno@mondorescue.org> 0.50-4.fc6
- Updated to 0.50-4

* Sat Dec 15 2001 Bruno Cornec <bruno@mondorescue.org> 0.50-2.fc6
- Updated to 0.50-2

* Fri Dec 14 2001 Bruno Cornec <bruno@mondorescue.org> 0.50-1.fc6
- Updated to 0.50-1

* Sun Dec 09 2001 Bruno Cornec <bruno@mondorescue.org> 0.48-2.fc6
- Updated to 0.48-2

* Sat Dec 08 2001 Bruno Cornec <bruno@mondorescue.org> 0.48-1.fc6
- Updated to 0.48-1

* Tue Dec 04 2001 Bruno Cornec <bruno@mondorescue.org> 0.47-1.fc6
- Updated to 0.47

* Thu Nov 29 2001 Bruno Cornec <bruno@mondorescue.org> 0.46-1.fc6
- Updated to 0.46

* Thu Nov 15 2001 Bruno Cornec <bruno@mondorescue.org> 0.45-1.fc6
- Updated to 0.45

* Sun Oct 28 2001 Bruno Cornec <bruno@mondorescue.org> 0.44-1.fc6
- Updated to 0.44

* Sun Oct 21 2001 Bruno Cornec <bruno@mondorescue.org> 0.43-1.fc6
- Updated to 0.43

* Wed Oct 10 2001 Bruno Cornec <bruno@mondorescue.org> 0.42-1.fc6
- Updated to 0.42

* Fri Sep 28 2001 Bruno Cornec <bruno@mondorescue.org> 0.41-1.fc6
- Updated to 0.41

* Sun Sep 16 2001 Bruno Cornec <bruno@mondorescue.org> 0.40-1.fc6
- Updated to 0.40

* Sat Sep 08 2001 Bruno Cornec <bruno@mondorescue.org> 0.39-1.fc6
- Updated to 0.39

* Sat Aug 18 2001 Bruno Cornec <bruno@mondorescue.org> 0.38-1.fc6
- Updated to 0.38

* Sat Aug 11 2001 Bruno Cornec <bruno@mondorescue.org> 0.37-1.fc6
- Updated to 0.37

* Fri Aug 03 2001 Bruno Cornec <bruno@mondorescue.org> 0.36-1.fc6
- Updated to 0.36

* Tue Jul 31 2001 Bruno Cornec <bruno@mondorescue.org> 0.35-1.fc6
- Updated to 0.35

* Wed Jul 25 2001 Bruno Cornec <bruno@mondorescue.org> 0.34-1.fc6
- Updated to 0.34

* Fri Jul 20 2001 Bruno Cornec <bruno@mondorescue.org> 0.33-1.fc6
- Updated to 0.33

* Wed Jul 18 2001 Bruno Cornec <bruno@mondorescue.org> 0.32-1.fc6
- Updated to 0.32

* Mon Jul 16 2001 Bruno Cornec <bruno@mondorescue.org> 0.31-1.fc6
- Updated to 0.31

* Sun Jul 15 2001 Bruno Cornec <bruno@mondorescue.org> 0.30-1.fc6
- Updated to 0.30

* Sat Jul 14 2001 Bruno Cornec <bruno@mondorescue.org> 0.29-1.fc6
- Updated to 0.29

* Sat Jul 07 2001 Bruno Cornec <bruno@mondorescue.org> 0.28-1.fc6
- Updated to 0.28

* Thu Jul 05 2001 Bruno Cornec <bruno@mondorescue.org> 0.26-1.fc6
- Updated to 0.26

* Wed Jul 04 2001 Bruno Cornec <bruno@mondorescue.org> 0.25-1.fc6
- Updated to 0.25

* Tue Jul 03 2001 Bruno Cornec <bruno@mondorescue.org> 0.24-1.fc6
- Updated to 0.24

* Mon Jul 02 2001 Bruno Cornec <bruno@mondorescue.org> 0.23-1.fc6
- Updated to 0.23

* Sun Jul 01 2001 Bruno Cornec <bruno@mondorescue.org> 0.22-1.fc6
- Updated to 0.22

* Sat Jun 30 2001 Bruno Cornec <bruno@mondorescue.org> 0.21-1.fc6
- Updated to 0.21

